/*
** File: coremisc.h  
** Project: ADB3 core driver
** Purpose: Defines prototypes for miscellaneous Core Interface functions.
**
** (C) Copyright Alpha Data 2009-2010
*/

#if !defined(ADATA_CORE_COREMISC_H)
#define ADATA_CORE_COREMISC_H

#include <df.h>
#include "coreif.h"

extern unsigned int
coreGetNumWindow(
  void* pInterfaceContext);

extern CoreWindowStatus
coreGetWindowInfo(
  void* pInterfaceContext,
  unsigned int windowIndex,
  CoreWindowInfo* pInfo);

extern CoreWindowAddressStatus
coreGetWindowAddress(
  void* pInterfaceContext,
  unsigned int windowIndex,
  size_t offset,
  size_t length,
  void** pKernelAddress);

extern unsigned int
coreGetNumDmaChannel(
  void* pInterfaceContext);

#endif
